Group blog topics
curl --request POST \
--url https://api.hubapi.com/blogs/v3/topics/group-topics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groupedTopicName": "Merged Topic",
"topicIds": [
123456,
789012,
345678
]
}
'import requests
url = "https://api.hubapi.com/blogs/v3/topics/group-topics"
payload = {
"groupedTopicName": "Merged Topic",
"topicIds": [123456, 789012, 345678]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({groupedTopicName: 'Merged Topic', topicIds: [123456, 789012, 345678]})
};
fetch('https://api.hubapi.com/blogs/v3/topics/group-topics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"topicIds": [
123456,
789012,
345678
],
"groupedTopicName": "Merged Topic",
"portalId": 62515
}{
"message": "<string>",
"correlationId": "<string>",
"category": "<string>",
"links": {}
}トピック
Group blog topics
Merge multiple topics by ID into a single topic group.
POST
/
blogs
/
v3
/
topics
/
group-topics
Group blog topics
承認
oauth2_legacyprivate_apps_legacy
The access token received from the authorization server in the OAuth 2.0 flow.
クエリパラメータ
Use the casing=snake parameter to change the API's casing for allowed JSON fields (below) to snake_case, rather than camelCase, which is the default. This option is provided for backwards-compatibility and ease of migration from Content v2 APIs, which used snake_case.
利用可能なオプション:
snake ボディ
application/json
最終更新日 2026年4月10日
⌘I